Class JavaSettings

Declaration :

- C++ : class JavaSettings : public UmlSettings
- Java : final class JavaSettings extends UmlSettings

This class manages settings concerning JAVA, configured through
the 'Generation settings' dialog.
This class may be defined as a 'singleton', but I prefer to use static
members allowing to just write 'JavaSettings::member' rather than
'JavaSettings::instance()->member' or other long sentence like this.

Artifact : JavaSettings

Operation useDefaults

Declaration :

- Uml : static, + useDefaults() : bool
- C++ : public: static bool useDefaults()
- Java : public static boolean useDefaults()

returns TRUE when the created Java objects are initialized
with the default declaration/definition

Operation set_UseDefaults

Declaration :

- Uml : static, + set_UseDefaults(in y : bool) : bool, exceptions : RuntimeException
- C++ : public: static bool set_UseDefaults(bool y)
- Java : public static void set_UseDefaults(boolean y) throws RuntimeException

if y is TRUE the future created Java objects will be initialized
with the default declaration/definition
On error : return FALSE in C++, produce a RuntimeException in Java

Operation type

Declaration :

- Uml : static, + type(in s : string) : string
- C++ : public: static QCString type(const QCString & s)
- Java : public static String type(String s)

returns the JAVA type corresponding to the 'UML' type given in
argument, as it is configured in the first 'Generation settings'
dialog's tab

Operation set_Type

Declaration :

- Uml : static, + set_Type(in s : string, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_Type(QCString s, QCString v)
- Java : public static void set_Type(String s, String v) throws RuntimeException

set the JAVA type corresponding to the 'UML' type given in
argument, as it is configured in the first 'Generation settings'
dialog's tab
On error : return FALSE in C++, produce a RuntimeException in Java

Operation umlType

Declaration :

- Uml : static, + umlType(in s : string) : string
- C++ : public: static QCString umlType(const QCString & s)
- Java : public static String umlType(String s)

reverse of the Type() operation, returns the 'UML' type corresponding
to the JAVA type given in argument

Operation relationAttributeStereotype

Declaration :

- Uml : static, + relationAttributeStereotype(in s : string) : string
- C++ : public: static QCString relationAttributeStereotype(const QCString & s)
- Java : public static String relationAttributeStereotype(String s)

returns the JAVA stereotype corresponding to the 'UML' stereotype given
in argument

Operation set_RelationAttributeStereotype

Declaration :

- Uml : static, + set_RelationAttributeStereotype(in s : string, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_RelationAttributeStereotype(QCString s, QCString v)
- Java : public static void set_RelationAttributeStereotype(String s, String v) throws RuntimeException

set the JAVA stereotype corresponding to the 'UML' stereotype given
in argument
On error : return FALSE in C++, produce a RuntimeException in Java

Operation relationAttributeUmlStereotype

Declaration :

- Uml : static, + relationAttributeUmlStereotype(in s : string) : string
- C++ : public: static QCString relationAttributeUmlStereotype(const QCString & s)
- Java : public static String relationAttributeUmlStereotype(String s)

reverse of the RelationAttributeStereotype() operation, returns the 'UML'
stereotype corresponding to the JAVA one given in argument

Operation classStereotype

Declaration :

- Uml : static, + classStereotype(in s : string) : string
- C++ : public: static QCString classStereotype(const QCString & s)
- Java : public static String classStereotype(String s)

returns the JAVA stereotype corresponding to the 'UML' stereotype given
in argument

Operation set_ClassStereotype

Declaration :

- Uml : static, + set_ClassStereotype(in s : string, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_ClassStereotype(QCString s, QCString v)
- Java : public static void set_ClassStereotype(String s, String v) throws RuntimeException

set the JAVA stereotype corresponding to the 'UML' stereotype given
in argument
On error : return FALSE in C++, produce a RuntimeException in Java

Operation classUmlStereotype

Declaration :

- Uml : static, + classUmlStereotype(in s : string) : string
- C++ : public: static QCString classUmlStereotype(const QCString & s)
- Java : public static String classUmlStereotype(String s)

reverse of the ClassStereotype() operation, returns the 'UML'
stereotype corresponding to the JAVA one given in argument

Operation get_import

Declaration :

- Uml : static, + get_import(in s : string) : string
- C++ : public: static QCString get_import(const QCString & s)
- Java : public static String get_import(String s)

returns the import or other form specified in the last
'Generation settings' tab for the Java type given in argument.

Operation set_Import

Declaration :

- Uml : static, + set_Import(in s : string, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_Import(QCString s, QCString v)
- Java : public static void set_Import(String s, String v) throws RuntimeException

set the import or other form specified in the last
'Generation settings' tab for the Java type given in argument.
On error : return FALSE in C++, produce a RuntimeException in Java

Operation rootDir

Declaration :

- Uml : static, + rootDir() : string
- C++ : public: static const QCString & rootDir()
- Java : public static String rootDir()

return the 'root' directory

Operation set_RootDir

Declaration :

- Uml : static, + set_RootDir(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_RootDir(QCString v)
- Java : public static void set_RootDir(String v) throws RuntimeException

set the 'root' directory
On error : return FALSE in C++, produce a RuntimeException in Java

Operation sourceContent

Declaration :

- Uml : static, + sourceContent() : string
- C++ : public: static const QCString & sourceContent()
- Java : public static String sourceContent()

returns the default source file content

Operation set_SourceContent

Declaration :

- Uml : static, + set_SourceContent(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_SourceContent(QCString v)
- Java : public static void set_SourceContent(String v) throws RuntimeException

set the default source file content
On error : return FALSE in C++, produce a RuntimeException in Java

Operation sourceExtension

Declaration :

- Uml : static, + sourceExtension() : string
- C++ : public: static const QCString & sourceExtension()
- Java : public static String sourceExtension()

returns the extension of the file produced by the JAVA code generator

Operation set_SourceExtension

Declaration :

- Uml : static, + set_SourceExtension(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_SourceExtension(QCString v)
- Java : public static void set_SourceExtension(String v) throws RuntimeException

set the extension of the file produced by the JAVA code generator
On error : return FALSE in C++, produce a RuntimeException in Java

Operation isGenerateJavadocStyleComment

Declaration :

- Uml : static, + isGenerateJavadocStyleComment() : bool
- C++ : public: static bool isGenerateJavadocStyleComment()
- Java : public static boolean isGenerateJavadocStyleComment()

return if generate Javadoc style comment

Operation set_IsGenerateJavadocStyleComment

Declaration :

- Uml : static, + set_IsGenerateJavadocStyleComment(in v : bool) : bool
- C++ : public: static bool set_IsGenerateJavadocStyleComment(bool v)
- Java : public static void set_IsGenerateJavadocStyleComment(boolean v)

set if generate Javadoc style comment
On error : return FALSE in C++, produce a RuntimeException in Java

Operation classDecl

Declaration :

- Uml : static, + classDecl() : string
- C++ : public: static const QCString & classDecl()
- Java : public static String classDecl()

returns the default definition of a class

Operation set_ClassDecl

Declaration :

- Uml : static, + set_ClassDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_ClassDecl(QCString v)
- Java : public static void set_ClassDecl(String v) throws RuntimeException

set the default definition of a class
On error : return FALSE in C++, produce a RuntimeException in Java

Operation externalClassDecl

Declaration :

- Uml : static, + externalClassDecl() : string
- C++ : public: static const QCString & externalClassDecl()
- Java : public static String externalClassDecl()

returns the default specification for an 'external' class

Operation set_ExternalClassDecl

Declaration :

- Uml : static, + set_ExternalClassDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_ExternalClassDecl(QCString v)
- Java : public static void set_ExternalClassDecl(String v) throws RuntimeException

set the default specification for an 'external' class
On error : return FALSE in C++, produce a RuntimeException in Java

Operation enumPatternDecl

Declaration :

- Uml : static, + enumPatternDecl() : string
- C++ : public: static const QCString & enumPatternDecl()
- Java : public static String enumPatternDecl()

returns the default definition of an enumeration implemented
through an abstract class having constant attributes

Operation set_EnumPatternDecl

Declaration :

- Uml : static, + set_EnumPatternDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_EnumPatternDecl(QCString v)
- Java : public static void set_EnumPatternDecl(String v) throws RuntimeException

set the default definition of an enumeration implemented
through an abstract class having constant attributes
On error : return FALSE in C++, produce a RuntimeException in Java

Operation enumDecl

Declaration :

- Uml : static, + enumDecl() : string
- C++ : public: static QCString enumDecl()
- Java : public static String enumDecl()

returns the default definition of an enumeration

Operation set_EnumDecl

Declaration :

- Uml : static, + set_EnumDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_EnumDecl(QCString v)
- Java : public static void set_EnumDecl(String v) throws RuntimeException

set the default definition of an enumeration
On error : return FALSE in C++, produce a RuntimeException in Java

Operation interfaceDecl

Declaration :

- Uml : static, + interfaceDecl() : string
- C++ : public: static const QCString & interfaceDecl()
- Java : public static String interfaceDecl()

returns the default definition of an interface

Operation set_InterfaceDecl

Declaration :

- Uml : static, + set_InterfaceDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_InterfaceDecl(QCString v)
- Java : public static void set_InterfaceDecl(String v) throws RuntimeException

set the default definition of an interface
On error : return FALSE in C++, produce a RuntimeException in Java

Operation attributeDecl

Declaration :

- Uml : static, + attributeDecl(in multiplicity : str) : string
- C++ : public: static const QCString & attributeDecl(const char * multiplicity)
- Java : public static String attributeDecl(String multiplicity)

returns the default definition of an attribute depending on the multiplicity

Operation set_AttributeDecl

Declaration :

- Uml : static, + set_AttributeDecl(in multiplicity : str, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_AttributeDecl(const char * multiplicity, QCString v)
- Java : public static void set_AttributeDecl(String multiplicity, String v) throws RuntimeException

set the default definition of an attribute
On error : return FALSE in C++, produce a RuntimeException in Java

Operation enumPatternItemDecl

Declaration :

- Uml : static, + enumPatternItemDecl() : string
- C++ : public: static const QCString & enumPatternItemDecl()
- Java : public static String enumPatternItemDecl()

returns the default definition of an enumeration item

Operation set_EnumPatternItemDecl

Declaration :

- Uml : static, + set_EnumPatternItemDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_EnumPatternItemDecl(QCString v)
- Java : public static void set_EnumPatternItemDecl(String v) throws RuntimeException

set the default definition of an enumeration item
On error : return FALSE in C++, produce a RuntimeException in Java

Operation enumPatternItemCase

Declaration :

- Uml : static, + enumPatternItemCase() : string
- C++ : public: static const QCString & enumPatternItemCase()
- Java : public static String enumPatternItemCase()

Returns the 'case' form produced in the fromInt operation
for each enumeration item

Operation set_EnumPatternItemCase

Declaration :

- Uml : static, + set_EnumPatternItemCase(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_EnumPatternItemCase(QCString v)
- Java : public static void set_EnumPatternItemCase(String v) throws RuntimeException

set the 'case' form produced in the fromInt operation
for each enumeration item
On error : return FALSE in C++, produce a RuntimeException in Java

Operation enumItemDecl

Declaration :

- Uml : static, + enumItemDecl() : string
- C++ : public: static QCString enumItemDecl()
- Java : public static String enumItemDecl()

returns the default definition of an enumeration item

Operation set_EnumItemDecl

Declaration :

- Uml : static, + set_EnumItemDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_EnumItemDecl(QCString v)
- Java : public static void set_EnumItemDecl(String v) throws RuntimeException

set the default definition of an enumeration item
On error : return FALSE in C++, produce a RuntimeException in Java

Operation relationDecl

Declaration :

- Uml : static, + relationDecl(in multiplicity : str) : string
- C++ : public: static const QCString & relationDecl(const char * multiplicity)
- Java : public static String relationDecl(String multiplicity)

returns the default definition of a relation depending on the
multiplicity given in argument.

Operation set_RelationDecl

Declaration :

- Uml : static, + set_RelationDecl(in multiplicity : str, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_RelationDecl(const char * multiplicity, QCString v)
- Java : public static void set_RelationDecl(String multiplicity, String v) throws RuntimeException

set the default definition of a relation depending on the
multiplicity given in argument.
On error : return FALSE in C++, produce a RuntimeException in Java

Operation operationDef

Declaration :

- Uml : static, + operationDef() : string
- C++ : public: static const QCString & operationDef()
- Java : public static String operationDef()

returns the default definition of an operation

Operation set_OperationDef

Declaration :

- Uml : static, + set_OperationDef(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_OperationDef(QCString v)
- Java : public static void set_OperationDef(String v) throws RuntimeException

set the default definition of an operation
On error : return FALSE in C++, produce a RuntimeException in Java

Operation getVisibility

Declaration :

- Uml : static, + getVisibility() : aVisibility
- C++ : public: static aVisibility getVisibility()
- Java : public static aVisibility getVisibility()

returns the default visibility of a 'get' operation generated
through the attribute and relation 'add get operation'

Operation set_GetVisibility

Declaration :

- Uml : static, + set_GetVisibility(in v : aVisibility) : bool, exceptions : RuntimeException
- C++ : public: static bool set_GetVisibility(aVisibility v)
- Java : public static void set_GetVisibility(aVisibility v) throws RuntimeException

set the default visibility of a 'get' operation generated
through the attribute and relation 'add get operation'
On error : return FALSE in C++, produce a RuntimeException in Java

Operation getName

Declaration :

- Uml : static, + getName() : string
- C++ : public: static const QCString & getName()
- Java : public static String getName()

returns the default name of a 'get' operation generated
through the attribute and relation 'add get operation' menu

Operation set_GetName

Declaration :

- Uml : static, + set_GetName(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_GetName(QCString v)
- Java : public static void set_GetName(String v) throws RuntimeException

set the default name of a 'get' operation generated
through the attribute and relation 'add get operation' menu
On error : return FALSE in C++, produce a RuntimeException in Java

Operation setName

Declaration :

- Uml : static, + setName() : string
- C++ : public: static const QCString & setName()
- Java : public static String setName()

returns the default name of a 'set' operation generated
through the attribute and relation 'add set operation' menu

Operation set_SetName

Declaration :

- Uml : static, + set_SetName(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_SetName(QCString v)
- Java : public static void set_SetName(String v) throws RuntimeException

set the default name of a 'set' operation generated
through the attribute and relation 'add set operation' menu
On error : return FALSE in C++, produce a RuntimeException in Java

Operation isGetFinal

Declaration :

- Uml : static, + isGetFinal() : bool
- C++ : public: static bool isGetFinal()
- Java : public static boolean isGetFinal()

return if a 'get' operation generated through the attribute
and relation 'add get operation' menu is final by default

Operation set_IsGetFinal

Declaration :

- Uml : static, + set_IsGetFinal(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: static bool set_IsGetFinal(bool v)
- Java : public static void set_IsGetFinal(boolean v) throws RuntimeException

set if a 'get' operation generated through the attribute
and relation 'add get operation' menu is final by default
On error : return FALSE in C++, produce a RuntimeException in Java

Operation isSetFinal

Declaration :

- Uml : static, + isSetFinal() : bool
- C++ : public: static bool isSetFinal()
- Java : public static boolean isSetFinal()

returns if a 'set' operation generated through the attribute
and relation 'add set operation' menu is final by default

Operation set_IsSetFinal

Declaration :

- Uml : static, + set_IsSetFinal(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: static bool set_IsSetFinal(bool v)
- Java : public static void set_IsSetFinal(boolean v) throws RuntimeException

set if a 'set' operation generated through the attribute
and relation 'add set operation' menu is final by default
On error : return FALSE in C++, produce a RuntimeException in Java

Operation setVisibility

Declaration :

- Uml : static, + setVisibility() : aVisibility
- C++ : public: static aVisibility setVisibility()
- Java : public static aVisibility setVisibility()

returns the default visibility of a 'set' operation generated
through the attribute and relation 'add set operation'

Operation set_SetVisibility

Declaration :

- Uml : static, + set_SetVisibility(in v : aVisibility) : bool, exceptions : RuntimeException
- C++ : public: static bool set_SetVisibility(aVisibility v)
- Java : public static void set_SetVisibility(aVisibility v) throws RuntimeException

set the default visibility of a 'set' operation generated
through the attribute and relation 'add set operation'
On error : return FALSE in C++, produce a RuntimeException in Java

Operation isSetParamFinal

Declaration :

- Uml : static, + isSetParamFinal() : bool
- C++ : public: static bool isSetParamFinal()
- Java : public static boolean isSetParamFinal()

returns if the parameters of a 'set' operation generated through the
attribute and relation 'add set operation' menu are final by default

Operation set_IsSetParamFinal

Declaration :

- Uml : static, + set_IsSetParamFinal(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: static bool set_IsSetParamFinal(bool v)
- Java : public static void set_IsSetParamFinal(boolean v) throws RuntimeException

set if the parameters of a 'set' operation generated through the
attribute and relation 'add set operation' menu are final by default
On error : return FALSE in C++, produce a RuntimeException in Java

Operation JavaSettings

Declaration :

- Uml : - JavaSettings() :
- C++ : private: JavaSettings()
- Java : private JavaSettings()

never called !

Attribut _defined

Declaration :

- Uml : static, - _defined : bool
- C++ : private: static bool _defined
- Java : private static boolean _defined

Attribut _root

Declaration :

- Uml : static, - _root : string
- C++ : private: static QCString _root
- Java : private static String _root

Attribut _class_decl

Declaration :

- Uml : static, - _class_decl : string
- C++ : private: static QCString _class_decl
- Java : private static String _class_decl

Attribut _external_class_decl

Declaration :

- Uml : static, - _external_class_decl : string
- C++ : private: static QCString _external_class_decl
- Java : private static String _external_class_decl

Attribut _enum_pattern_decl

Declaration :

- Uml : static, - _enum_pattern_decl : string
- C++ : private: static QCString _enum_pattern_decl
- Java : private static String _enum_pattern_decl

Attribut _enum_decl

Declaration :

- Uml : static, - _enum_decl : string
- C++ : private: static QCString _enum_decl
- Java : private static String _enum_decl

Attribut _interface_decl

Declaration :

- Uml : static, - _interface_decl : string
- C++ : private: static QCString _interface_decl
- Java : private static String _interface_decl

Attribut _attr_decl

Declaration :

- Uml : static, - _attr_decl : string
- C++ : private: static QCString _attr_decl[3/*multiplicity*/]
- Java : private static String _attr_decl[/*multiplicity*/]

Attribut _enum_pattern_item_decl

Declaration :

- Uml : static, - _enum_pattern_item_decl : string
- C++ : private: static QCString _enum_pattern_item_decl
- Java : private static String _enum_pattern_item_decl

Attribut _enum_pattern_item_case

Declaration :

- Uml : static, - _enum_pattern_item_case : string
- C++ : private: static QCString _enum_pattern_item_case
- Java : private static String _enum_pattern_item_case

Attribut _enum_item_decl

Declaration :

- Uml : static, - _enum_item_decl : string
- C++ : private: static QCString _enum_item_decl
- Java : private static String _enum_item_decl

Attribut _rel_decl

Declaration :

- Uml : static, - _rel_decl : string
- C++ : private: static QCString _rel_decl[3/*multiplicity*/]
- Java : private static String[] _rel_decl

Attribut _oper_def

Declaration :

- Uml : static, - _oper_def : string
- C++ : private: static QCString _oper_def
- Java : private static String _oper_def

Relation _get_visibility (<directional aggregation by value>)

Declaration :

- Uml : static, - _get_visibility : aVisibility
- C++ : private: static aVisibility _get_visibility
- Java : private static aVisibility _get_visibility

Attribut _get_name

Declaration :

- Uml : static, - _get_name : string
- C++ : private: static QCString _get_name
- Java : private static String _get_name

Attribut _is_get_final

Declaration :

- Uml : static, - _is_get_final : bool
- C++ : private: static bool _is_get_final
- Java : private static boolean _is_get_final

Relation _set_visibility (<directional aggregation by value>)

Declaration :

- Uml : static, - _set_visibility : aVisibility
- C++ : private: static aVisibility _set_visibility
- Java : private static aVisibility _set_visibility

Attribut _set_name

Declaration :

- Uml : static, - _set_name : string
- C++ : private: static QCString _set_name
- Java : private static String _set_name

Attribut _is_set_final

Declaration :

- Uml : static, - _is_set_final : bool
- C++ : private: static bool _is_set_final
- Java : private static boolean _is_set_final

Attribut _is_set_param_final

Declaration :

- Uml : static, - _is_set_param_final : bool
- C++ : private: static bool _is_set_param_final
- Java : private static boolean _is_set_param_final

Attribut _src_content

Declaration :

- Uml : static, - _src_content : string
- C++ : private: static QCString _src_content
- Java : private static String _src_content

Attribut _ext

Declaration :

- Uml : static, - _ext : string
- C++ : private: static QCString _ext
- Java : private static String _ext

Attribut _is_generate_javadoc_comment

Declaration :

- Uml : static, - _is_generate_javadoc_comment : bool
- C++ : private: static bool _is_generate_javadoc_comment
- Java : private static boolean _is_generate_javadoc_comment

Attribut _map_imports

Declaration :

- Uml : static, - _map_imports : string
- C++ : private: static QDict<QCString> _map_imports
- Java : private static Hashtable _map_imports

Operation read_

Declaration :

- Uml : static, # read_() : void
- C++ : protected: static void read_()
- Java : protected static void read_()

internal, do NOT use it

Operation read_if_needed_

Declaration :

- Uml : static, # read_if_needed_() : void
- C++ : protected: static void read_if_needed_()
- Java : protected static void read_if_needed_()

internal, do NOT use it

All public operations : artifactDescription , attributeDecl , attributeDescription , classDecl , classDescription , classStereotype , classUmlStereotype , enumDecl , enumItemDecl , enumPatternDecl , enumPatternItemCase , enumPatternItemDecl , externalClassDecl , get_import , getName , getVisibility , interfaceDecl , isGenerateJavadocStyleComment , isGetFinal , isSetFinal , isSetParamFinal , operationDef , operationDescription , relationAttributeStereotype , relationAttributeUmlStereotype , relationDecl , relationDescription , rootDir , set_ArtifactDescription , set_AttributeDecl , set_AttributeDescription , set_ClassDecl , set_ClassDescription , set_ClassStereotype , set_EnumDecl , set_EnumItemDecl , set_EnumPatternDecl , set_EnumPatternItemCase , set_EnumPatternItemDecl , set_ExternalClassDecl , set_GetName , set_GetVisibility , set_Import , set_InterfaceDecl , set_IsGenerateJavadocStyleComment , set_IsGetFinal , set_IsSetFinal , set_IsSetParamFinal , set_OperationDef , set_OperationDescription , set_RelationAttributeStereotype , set_RelationDecl , set_RelationDescription , set_RootDir , set_SetName , set_SetVisibility , set_SourceContent , set_SourceExtension , set_Type , set_UmlGetName , set_UmlSetName , set_UseDefaults , setName , setVisibility , sourceContent , sourceExtension , type , umlGetName , umlSetName , umlType , useDefaults